package mackthehobbit.ld26;

import java.awt.event.KeyAdapter;
import java.awt.event.KeyEvent;

public class KeyInputer extends KeyAdapter {
	public class Key {
		private boolean down = false;
		
		public void press() {
			down = true;
		}
		
		public void release() {
			down = false;
		}
		
		public boolean isDown() {
			return down;
		}
		
		public boolean isPressed() {
			if(down) {
				down = false;
				return true;
			}
			return false;
		}
	};

	public Key down = new Key();
	public Key up = new Key();
	public Key right = new Key();
	public Key left = new Key();
	public Key z = new Key();
	public Key x = new Key();
	public Key c = new Key();
	public Key v = new Key();
	public Key b = new Key();
	public Key s = new Key();;
	
	public void keyPressed(KeyEvent e) {
		if (e.getKeyCode() == KeyEvent.VK_LEFT) {
			left.press();
		}
		if (e.getKeyCode() == KeyEvent.VK_RIGHT) {
			right.press();
		}
		if (e.getKeyCode() == KeyEvent.VK_UP) {
			up.press();
		}
		if (e.getKeyCode() == KeyEvent.VK_DOWN) {
			down.press();
		}
		if (e.getKeyCode() == KeyEvent.VK_Z) {
			z.press();
		}
		if (e.getKeyCode() == KeyEvent.VK_X) {
			x.press();
		}
		if (e.getKeyCode() == KeyEvent.VK_C) {
			c.press();
		}
		if (e.getKeyCode() == KeyEvent.VK_V) {
			v.press();
		}
		if (e.getKeyCode() == KeyEvent.VK_B) {
			b.press();
		}
		if (e.getKeyCode() == KeyEvent.VK_S) {
			s.press();
		}
	}
	
	public void keyReleased(KeyEvent e) {
		if (e.getKeyCode() == KeyEvent.VK_LEFT) {
			left.release();
		}
		if (e.getKeyCode() == KeyEvent.VK_RIGHT) {
			right.release();
		}
		if (e.getKeyCode() == KeyEvent.VK_UP) {
			up.release();
		}
		if (e.getKeyCode() == KeyEvent.VK_DOWN) {
			down.release();
		}
		if (e.getKeyCode() == KeyEvent.VK_Z) {
			z.release();
		}
		if (e.getKeyCode() == KeyEvent.VK_X) {
			x.release();
		}
		if (e.getKeyCode() == KeyEvent.VK_C) {
			c.release();
		}
		if (e.getKeyCode() == KeyEvent.VK_V) {
			v.release();
		}
		if (e.getKeyCode() == KeyEvent.VK_B) {
			b.release();
		}
		if (e.getKeyCode() == KeyEvent.VK_S) {
			s.release();
		}
	}
	
	public void keyTyped(KeyEvent e) {
		if (e.getKeyChar() == KeyEvent.VK_ESCAPE) {
			System.exit(0);
		}
	}
}
