package mackthehobbit.ld26.map;

import mackthehobbit.ld26.Game;
import mackthehobbit.ld26.gfx.Screen;

public class PotatoTile extends Tile {
	public int stage;
	
	public PotatoTile(int stage) {
		this.stage = stage;
	}
	
	public void tick(int xt, int yt) {
		Game.map.setTileAt(xt, yt, Tile.potato2);
	}
	
	public void render(Screen screen, int x, int y) {
		Tile.ground.render(screen, x, y);
		screen.render(x + 4, y + 4, 8 * 8 + (this.stage==1? 8:0), 0 * 8, 8, 8);
	}
	
}
