package mackthehobbit.ld26;

import mackthehobbit.ld26.item.Item;
import mackthehobbit.ld26.item.ItemStore;

public class CraftRecipe {
	public int requiredWood;
	public int requiredStone;
	public int requiredGold;
	
	public Item result;
	
	public CraftRecipe(Item result, int wood, int stone, int gold) {
		this.result = result;
		
		this.requiredWood = wood;
		this.requiredStone = stone;
		this.requiredGold = gold;
		
		CraftMenu.addRecipe(this);
	}
	
	public boolean canMake() {
		if(Game.inventory.woodCount >= requiredWood && Game.inventory.stoneCount >= requiredStone && Game.inventory.goldCount >= requiredGold) {
			return Game.inventory.hasRoom(new ItemStore(result, 1))>=0;
		}
		return false;
	}
	
	public void make() {
		Game.inventory.addItem(new ItemStore(result, 1));
		Game.inventory.woodCount-=requiredWood;
		Game.inventory.stoneCount-=requiredStone;
		Game.inventory.goldCount-=requiredGold;
	}
	
}
