package mackthehobbit.ld26;

public class Intro {
	private String lines[] = new String[] {
		"What's wrong with all the pixel art here? It's terrible.",
		"It's called minimalism.",
		"I don't know what that means, but it sounds like a really bad ld theme.",
		"Actually it's very open and allows abstract creativity.",
		"I don't like it! I'm fixing this place up.",
		"Good luck with that: it's still the theme of this game.",
		"But if the world is minimalised now, it still relates, right?",
		"I guess.",
		"Then I'll  make a maximaliser and make these graphics better.",
		"Does that even exist?",
		"It does now. I need some gold, stone and a potato. Mostly the potato.",
		
	};
	
	private int tickCount = 0;
	private int lineCount = 0;
	
	public void tick() {
		tickCount++;
		if(tickCount%48==0) {
			lineCount++;
		}
		
		Game.screen.renderRectangle(0, 0, Game.WIDTH, Game.HEIGHT);
		Game.screen.renderText(4, 8, "Hatchet, made by mackthehobbit for LD26", 2);
		
		
		if(tickCount>=lines.length*48 + 64) {
			if(tickCount>=lines.length*48 + 96) {
				Game.screen.render(Game.WIDTH/2-4, Game.HEIGHT/2-8, 0, 0, 8, 8);
			}
			else {
				Game.screen.render(Game.WIDTH/2-8, Game.HEIGHT/2-16, 2 * 8, 0 * 8, 16, 16);
			}
			return;
		}
		
		for(int i=0; i < lines.length; i++) {
			if(lineCount>=i) {
				if(i % 2!=0) {
					Game.screen.renderText(Game.WIDTH*4-lines[i].length()*8-8, i * 12 + 64, lines[i], 4);
				}
				else {
					Game.screen.renderText(8, i * 12 + 64, lines[i], 4);
				}
			}
		}
	}

	public boolean running() {
		return !(tickCount >= lines.length*48 + 128);
	}
}
