package mackthehobbit.ld26.entity;

import java.awt.Rectangle;

import mackthehobbit.ld26.Game;
import mackthehobbit.ld26.gfx.Screen;

public class PlayerAttack extends Entity {
	private int damage;
	
	public PlayerAttack(int x, int y, int damage) {
		super(x, y);
		this.damage = damage;
	}
	
	public void tick() {
		super.tick();
		if(tickCount>=2) {
			Game.map.removeEntity(this);
		}
	}
	
	public void collideWith(Entity other) {
		if(other instanceof ZombieEntity) {
			((ZombieEntity) other).attack(damage);
		}
	}
	
	public void render(Screen screen, int scrollX, int scrollY) {
		//screen.render(x - 4 - scrollX, y - 4- scrollY, 8 * 8, 1 * 8, 8, 8);
	}
	
	public Rectangle getBounds() {
		Rectangle rect = new Rectangle();
		rect.setBounds(this.x-3, this.y-3, 6, 6);
		return rect;
	}
}
