package mackthehobbit.ld26.map;

import mackthehobbit.ld26.Game;
import mackthehobbit.ld26.gfx.Screen;

public class PitTile extends Tile {
	
	public void render(Screen screen, int x, int y) {
		screen.render(x, y, 4 * 8, 2 * 8, 16, 16);
	}
	
	public void tick(int xt, int yt) {
		Game.map.setTileAt(xt, yt, Tile.ground);
	}
	
	public boolean isSolid() {
		return false;
	}
}
